This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983104 - [RHEVM][webadmin] plug/unplug option is not blocked for template vNIC
[RHEVM][webadmin] plug/unplug option is not blocked for template vNIC
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
network
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 10:00 EDT by Martin Pavlik
Modified: 2016-02-10 14:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:11:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (233.87 KB, image/png)
2013-07-10 10:00 EDT, Martin Pavlik
no flags Details
log_collector (4.40 MB, application/x-xz)
2013-07-10 10:02 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2013-07-10 10:00:50 EDT
Created attachment 771633 [details]
screenshot 1

Description of problem:

plug/unplug option is not blocked for template vNIC (see screenshot), it should be grayed out for templates

user can change the radio button but nothing happens, plug state is not changed despite this message in events:
Interface nic1 (VirtIO) was updated for Template 123456. (User: admin@internal)


Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.3.0-0.7.master.el6ev 

How reproducible:
100%

Steps to Reproduce:
1.create VM with 1 NIC unplugged and 1 NIC plugged
2.make template from the VM
3.templates -> your template -> network interfaces -> nic1 -> edit 
4. expand advanced parameters 
5. change plug status, click OK

Actual results:
plug/unplug option is NOT blocked for template vNIC 

Expected results:
plug/unplug option is blocked for template vNIC 

Additional info:
2013-07-10 15:46:39,968 INFO  [org.ovirt.engine.core.bll.network.template.UpdateVmTemplateInterfaceCommand] (ajp-/127.0.0.1:8702-8) Running command: UpdateVmTemplateInterfaceCommand internal: false. Entities affected :  ID: 0dc870f7-120c-4438-9112-addda2fff9e9 Type: VmTemplate
2013-07-10 15:46:47,815 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (DefaultQuartzScheduler_Worker-15) Setting new tasks map. The map contains now 0 tasks
2013-07-10 15:46:47,815 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (DefaultQuartzScheduler_Worker-15) Cleared all tasks of pool 6cb8fbde-4bc7-4373-a42f-466c79fcc413.
Comment 1 Martin Pavlik 2013-07-10 10:02:42 EDT
Created attachment 771639 [details]
log_collector
Comment 4 Moti Asayag 2013-09-10 11:11:43 EDT
Modifying the plug property of the template's vnic shouldn't be blocked.
It is part of the template configuration and the user may decide how the vm should be created (with plugged or unplugged nics).

I've just tested the operation and the state of the vnic on template was changed from plugged to unplugged and vice versa, indicated also by the icon of the status (red triangle/green triangle).

If this operation doesn't work for you, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.